"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

_Object$defineProperty(exports, "build", {
  enumerable: true,
  get: function () {
    return _build.handler;
  }
});

_Object$defineProperty(exports, "git", {
  enumerable: true,
  get: function () {
    return _git.handler;
  }
});

_Object$defineProperty(exports, "init", {
  enumerable: true,
  get: function () {
    return _init3.handler;
  }
});

_Object$defineProperty(exports, "lint", {
  enumerable: true,
  get: function () {
    return _lint.handler;
  }
});

exports.actions = void 0;

var _add = _interopRequireDefault(require("./lib/actions/git/add"));

var _commit = _interopRequireDefault(require("./lib/actions/git/commit"));

var _init = _interopRequireDefault(require("./lib/actions/git/init"));

var _staged = _interopRequireDefault(require("./lib/actions/git/staged"));

var _file = _interopRequireDefault(require("./lib/actions/node/file"));

var _folder = _interopRequireDefault(require("./lib/actions/node/folder"));

var _template = _interopRequireDefault(require("./lib/actions/node/template"));

var _init2 = _interopRequireDefault(require("./lib/actions/npm/init"));

var _install = _interopRequireDefault(require("./lib/actions/npm/install"));

var _commitlint = _interopRequireDefault(require("./lib/actions/tools/commitlint"));

var _eslint = _interopRequireDefault(require("./lib/actions/tools/eslint"));

var _prettier = _interopRequireDefault(require("./lib/actions/tools/prettier"));

var _build = require("./lib/commands/build");

var _git = require("./lib/commands/git");

var _init3 = require("./lib/commands/init");

var _lint = require("./lib/commands/lint");

const actions = {
  gitAdd: _add.default,
  gitCommit: _commit.default,
  gitInit: _init.default,
  gitStaged: _staged.default,
  nodeFile: _file.default,
  nodeFolder: _folder.default,
  nodeTemplate: _template.default,
  npmInit: _init2.default,
  npmInstall: _install.default,
  commitlint: _commitlint.default,
  eslint: _eslint.default,
  prettier: _prettier.default
};
exports.actions = actions;