"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireWildcard = require("@babel/runtime-corejs3/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _filter = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/filter"));

var _keys = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/object/keys"));

var _flat = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/flat"));

var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));

var _sort = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/sort"));

var _toolLib = require("@kettil/tool-lib");

var _chalk = require("chalk");

var _depcheck = _interopRequireWildcard(require("depcheck"));

var _config = _interopRequireDefault(require("../../cli/config"));

var _dependencyError = _interopRequireDefault(require("../../errors/dependencyError"));

const ignorePackage = ['typescript'];
const options = {
  ignoreDirs: ['node_modules'],
  parsers: {
    '**/*.js': _depcheck.parser.es6,
    '**/*.jsx': _depcheck.parser.jsx,
    '**/*.ts': _depcheck.parser.typescript,
    '**/*.tsx': _depcheck.parser.typescript
  },
  detectors: [_depcheck.detector.requireCallExpression, _depcheck.detector.importDeclaration],
  specials: [_depcheck.special.babel, _depcheck.special.eslint, _depcheck.special.prettier, _depcheck.special.jest, _depcheck.special.husky, _depcheck.special.webpack]
};

const depcheck = async ({
  cwd
}) => {
  var _context, _context2;

  const configIgnoreMatches = await (0, _config.default)(cwd, 'debs.ignore.packages');
  const ignoreMatches = (0, _toolLib.isArray)(configIgnoreMatches) ? (0, _filter.default)(configIgnoreMatches).call(configIgnoreMatches, v => typeof v === 'string') : [];
  const result = await (0, _depcheck.default)(cwd, { ...options,
    ignoreMatches: [...ignoreMatches, ...ignorePackage]
  });
  const groups = [{
    title: (0, _chalk.red)('The dependencies are not used'),
    dependencies: result.dependencies
  }, {
    title: (0, _chalk.yellow)('The dev-dependencies are not used'),
    dependencies: result.devDependencies
  }, {
    title: (0, _chalk.blue)('The dependencies is missing'),
    dependencies: (0, _keys.default)(result.missing)
  }];
  const output = (0, _flat.default)(_context = (0, _map.default)(_context2 = (0, _filter.default)(groups).call(groups, ({
    dependencies
  }) => dependencies.length > 0)).call(_context2, ({
    title,
    dependencies
  }) => {
    var _context3;

    return [`▸ ${title}`, ...(0, _map.default)(_context3 = (0, _sort.default)(dependencies).call(dependencies)).call(_context3, v => `  ∙ ${v}`), ''];
  })).call(_context);

  if (output.length > 0) {
    throw new _dependencyError.default('Depcheck error', output);
  }
};

var _default = depcheck;
exports.default = _default;