"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.errorHandler = exports.commonHandler = exports.builderDefault = exports.ciDefaultValue = void 0;

var _toolLib = require("@kettil/tool-lib");

var _executableError = _interopRequireDefault(require("../errors/executableError"));

var _logo = _interopRequireDefault(require("../logo"));

const ciDefaultValue = () => (0, _toolLib.env)('CI', '') !== '';

exports.ciDefaultValue = ciDefaultValue;

const builderDefault = (cmd, callback) => yargs => callback(yargs).usage(`Usage: $0 ${cmd} [options]`).help().version(false).showHelpOnFail(false);

exports.builderDefault = builderDefault;

const commonHandler = async (argv, showLogo) => {
  if (showLogo) {
    await (0, _logo.default)();
  }

  argv.log.debug(['Paths:', `▸ cwd: ${argv.cwd}`, `▸ cfg: ${argv.cfg}`, `▸ tpl: ${argv.tpl}`, '']);
};

exports.commonHandler = commonHandler;

const errorHandler = (argv, error, onlyExit) => {
  if (error instanceof _executableError.default) {
    argv.log.log(error.stdout);
    argv.log.log(error.stderr);
    /* eslint-disable-next-line node/no-process-exit, unicorn/no-process-exit */

    process.exit(1);
  }

  if (onlyExit) {
    /* eslint-disable-next-line node/no-process-exit, unicorn/no-process-exit */
    process.exit(1);
  }

  throw error;
};

exports.errorHandler = errorHandler;