"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.handler = exports.builder = exports.desc = exports.command = void 0;

var _depcheck = _interopRequireDefault(require("../actions/tools/depcheck"));

var _spinner = require("../cli/spinner");

var _yargs = require("../cli/yargs");

var _dependencyError = _interopRequireDefault(require("../errors/dependencyError"));

const command = 'debs';
exports.command = command;
const desc = 'Run the dependency check';
exports.desc = desc;
const options = {
  group: `${command}-Options`
};
const builder = (0, _yargs.builderDefault)(command, yargs => yargs.options({
  ci: { ...options,
    type: 'boolean',
    default: (0, _yargs.ciDefaultValue)(),
    describe: 'Run it in CI mode'
  }
}));
exports.builder = builder;

const handler = async argv => {
  try {
    await (0, _yargs.commonHandler)(argv, !argv.ci);
    await (0, _spinner.spinnerAction)((0, _depcheck.default)(argv), 'Dependency verification');
  } catch (error) {
    if (error instanceof _dependencyError.default) {
      argv.log.log(error.list);
      return;
    }

    (0, _yargs.errorHandler)(argv, error);
  }
};

exports.handler = handler;