"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.handler = exports.builder = exports.desc = exports.command = void 0;

var _chalk = require("chalk");

var _table = require("table");

var _licensecheck = _interopRequireDefault(require("../actions/tools/licensecheck"));

var _spinner = require("../cli/spinner");

var _yargs = require("../cli/yargs");

var _licenseDisabledError = _interopRequireDefault(require("../errors/licenseDisabledError"));

var _licenseIncompatibleError = _interopRequireDefault(require("../errors/licenseIncompatibleError"));

const notice = `the check is only a suggestion and is ${(0, _chalk.underline)('not')} legal advice`;
const command = 'license';
exports.command = command;
const desc = 'Run the license check';
exports.desc = desc;
const options = {
  group: `${command}-Options`
};
const builder = (0, _yargs.builderDefault)(command, yargs => yargs.options({
  ci: { ...options,
    type: 'boolean',
    default: (0, _yargs.ciDefaultValue)(),
    describe: 'Run it in CI mode'
  }
}));
exports.builder = builder;

const handler = async argv => {
  try {
    await (0, _yargs.commonHandler)(argv, !argv.ci);
    await (0, _spinner.spinnerAction)((0, _licensecheck.default)(argv), `License verification (${notice})`);
  } catch (error) {
    if (error instanceof _licenseDisabledError.default) {
      return;
    }

    if (error instanceof _licenseIncompatibleError.default) {
      argv.log.log(' ');
      argv.log.log((0, _table.table)(error.list, {
        border: (0, _table.getBorderCharacters)('norc')
      }));
      argv.log.log(' ');
      (0, _yargs.errorHandler)(argv, error, true);
      return;
    }

    (0, _yargs.errorHandler)(argv, error);
  }
};

exports.handler = handler;